lwIP 2.1.2 Lightweight IP stack

Data Fields
mdns_outpacket Struct Reference

## Data Fields
struct netif * | netif
struct pbuf * | pbuf
u16_t | write_offset
u16_t | tx_id
ip_addr_t | dest_addr
u16_t | questions
u16_t | answers
u16_t | authoritative
u16_t | additional
u16_t | domain_offsets [10]
u8_t | cache_flush
u8_t | unicast_reply
u8_t | legacy_query

## Detailed Description

Information about outgoing packet

## Field Documentation

## ◆ additional

u16_t mdns_outpacket::additional

Number of additional answers written

## ◆ answers

u16_t mdns_outpacket::answers

Number of normal answers written

## ◆ authoritative

u16_t mdns_outpacket::authoritative

Number of authoritative answers written

## ◆ cache_flush

u8_t mdns_outpacket::cache_flush

If all answers in packet should set cache_flush bit

## ◆ dest_addr

ip_addr_t mdns_outpacket::dest_addr

Destination IP/port if sent unicast

## ◆ domain_offsets

u16_t mdns_outpacket::domain_offsets[10]

Offsets for written domain names in packet. Used for compression

## ◆ legacy_query

u8_t mdns_outpacket::legacy_query

If legacy query. (tx_id needed, and write question again in reply before answer)

## ◆ netif

struct netif* mdns_outpacket::netif

Netif to send the packet on

## ◆ pbuf

struct pbuf* mdns_outpacket::pbuf

Packet data

## ◆ questions

u16_t mdns_outpacket::questions

Number of questions written

## ◆ tx_id

u16_t mdns_outpacket::tx_id

Identifier. Used in legacy queries

## ◆ unicast_reply

u8_t mdns_outpacket::unicast_reply

If reply should be sent unicast

## ◆ write_offset

u16_t mdns_outpacket::write_offset

Current write offset in packet

The documentation for this struct was generated from the following file:

- src/apps/mdns/mdns.c